ECHO OFF
SETLOCAL
REM ========================================
REM ===
REM === MIRRA Configuration Collection Tool
REM ===  for Windows XP Home
REM ===
SET TOOLVER=XPHOME050627
REM ===
REM ========================================
echo.
echo Please wait while the tool collects diagnostic information...
echo.

cd Tools
readlog -i -N -n -a system > MIRRA.system.events.log 2> NUL
readlog -i -N -n -a application > MIRRA.application.events.log 2> NUL

SET TOOLVER > MIRRA.netinfo.log
ver >> MIRRA.netinfo.log

ipconfig /all >> MIRRA.netinfo.log
netstat -ao >> MIRRA.netinfo.log
echo. >> MIRRA.netinfo.log
echo "FIREWALL CONFIGURATION" >> MIRRA.netinfo.log

netsh firewall show config >> MIRRA.netinfo.log

echo "PROCESSES " > MIRRA.sysinfo.tsv
process >> MIRRA.sysinfo.tsv

echo "SERVICES " >> MIRRA.sysinfo.tsv
sc query >> MIRRA.sysinfo.tsv

MirraFetcher.ex_


del /q MIRRA.netinfo.log
del /q MIRRA.sysinfo.log
del /q MIRRA.sysinfo.tsv
del /q MIRRA.system.events.log
del /q MIRRA.application.events.log

ENDLOCAL